org.richfaces.convert

## Class LongColorConverter

- java.lang.Object
- - org.richfaces.convert.IntegerColorConverter
  - - org.richfaces.convert.LongColorConverter

- All Implemented Interfaces:
    javax.faces.convert.Converter

      public class LongColorConverter
      extends IntegerColorConverter

  Since:
    3.3.1
  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.convert.IntegerColorConverter

      `CONVERTER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongColorConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
    `java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongColorConverter

          public LongColorConverter()

  - ### Method Detail

    - #### getAsObject

          public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component,
                                     java.lang.String value)

      Specified by:
        `getAsObject` in interface `javax.faces.convert.Converter`
      Overrides:
        `getAsObject` in class `IntegerColorConverter`

    - #### getAsString

          public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component,
                                     java.lang.Object value)

      Specified by:
        `getAsString` in interface `javax.faces.convert.Converter`
      Overrides:
        `getAsString` in class `IntegerColorConverter`

Copyright © 2014. All Rights Reserved.